<?xml version="1.0" encoding="UTF-8"?><!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.10002
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.10002"><title>ELGA CDA Dokument Entlassung Pflege</title>
<!--
Template derived rules for ID: 1.2.40.0.34.11.10002
Context: hl7:ClinicalDocument
Item: elga-cdaep
-->

<rule context="hl7:ClinicalDocument" id="tmp-1a481669-e74b-4f83-b149-7fbbe6897914"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.10002.html" test="count(hl7:templateId[@root='1.2.40.0.34.11.3'])&gt;=1 and not(hl7:templateId[@root='1.2.40.0.34.11.3']/@nullFlavor)">elga-cdaep: Element hl7:templateId[@root='1.2.40.0.34.11.3'] ist mandatory [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.10002.html" test="count(hl7:templateId[@root='1.2.40.0.34.11.3.0.1' or @root='1.2.40.0.34.11.3.0.2' or @root='1.2.40.0.34.11.3.0.3'])&gt;=1 and not(hl7:templateId[@root='1.2.40.0.34.11.3.0.1' or @root='1.2.40.0.34.11.3.0.2' or @root='1.2.40.0.34.11.3.0.3']/@nullFlavor)">elga-cdaep: Element hl7:templateId[@root='1.2.40.0.34.11.3.0.1' or @root='1.2.40.0.34.11.3.0.2' or @root='1.2.40.0.34.11.3.0.3'] ist mandatory [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.10002.html" test="count(hl7:templateId[@root='1.2.40.0.34.11.3.0.1' or @root='1.2.40.0.34.11.3.0.2' or @root='1.2.40.0.34.11.3.0.3'])&lt;=1">elga-cdaep: Element hl7:templateId[@root='1.2.40.0.34.11.3.0.1' or @root='1.2.40.0.34.11.3.0.2' or @root='1.2.40.0.34.11.3.0.3'] kommt zu häufig vor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.10002
Context: hl7:ClinicalDocument
Item: elga-cdaep
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.10002
Context: hl7:ClinicalDocument
Item: elga-cdaep
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.10002
Context: hl7:ClinicalDocument/hl7:realmCode
Item: elga-cdaep
-->

<rule context="hl7:ClinicalDocument/hl7:realmCode" id="tmp-763b602b-643a-40f3-84e6-5d8f70a28337"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.10002.html" test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">elga-cdaep: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CS" oder der Datentype MUSS "CS" sein</assert><extends rule="CS"/><let name="theValue" value="@value"/><let name="theCode" value="@code"/><let name="theCodeSystem" value="@codeSystem"/><let name="theNullFlavor" value="@nullFlavor"/><let name="displayNamesFound" value="concat((document('include/voc-ELGA_RealmCode-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/><let name="validNullFlavorsFound" value="concat((document('include/voc-ELGA_RealmCode-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.10002.html" test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">elga-cdaep: Der Wert von @code MUSS gewählt werden aus dem Value Set ELGA_RealmCode DYNAMIC.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.10002
Context: hl7:ClinicalDocument/hl7:typeId[@root='2.16.840.1.113883.1.3']
Item: elga-cdaep
-->

<rule context="hl7:ClinicalDocument/hl7:typeId[@root='2.16.840.1.113883.1.3']" id="tmp-fc5098b5-eb55-40a7-a211-9505522399c8"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.10002.html" test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">elga-cdaep: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert><extends rule="II"/><let name="theValue" value="@value"/><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.10002.html" test="@root='2.16.840.1.113883.1.3'">elga-cdaep: @root MUSS den Wert '2.16.840.1.113883.1.3' haben.</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.10002.html" test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">elga-cdaep: @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.10002.html" test="@extension='POCD_HD000040'">elga-cdaep: Der Wert von @extension MUSS 'POCD_HD000040' sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.10002
Context: hl7:ClinicalDocument/hl7:templateId[@root='1.2.40.0.34.11.1']
Item: elga-cdaep
-->

<rule context="hl7:ClinicalDocument/hl7:templateId[@root='1.2.40.0.34.11.1']" id="tmp-ab19d93d-885a-4647-84dd-1c91df993e2c"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.10002.html" test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">elga-cdaep: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert><extends rule="II"/><let name="theValue" value="@value"/><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.10002.html" test="@root='1.2.40.0.34.11.1'">elga-cdaep: @root MUSS den Wert '1.2.40.0.34.11.1' haben.</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.10002.html" test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">elga-cdaep: @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.10002
Context: hl7:ClinicalDocument/hl7:templateId[@root='1.2.40.0.34.11.3']
Item: elga-cdaep
-->

<rule context="hl7:ClinicalDocument/hl7:templateId[@root='1.2.40.0.34.11.3']" id="tmp-dea7174c-92f4-40e1-9786-1ee566f2214d"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.10002.html" test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">elga-cdaep: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert><extends rule="II"/><let name="theValue" value="@value"/><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.10002.html" test="@root='1.2.40.0.34.11.3'">elga-cdaep: @root MUSS den Wert '1.2.40.0.34.11.3' haben.</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.10002.html" test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">elga-cdaep: @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.10002
Context: hl7:ClinicalDocument/hl7:templateId[@root='1.2.40.0.34.11.3.0.1' or @root='1.2.40.0.34.11.3.0.2' or @root='1.2.40.0.34.11.3.0.3']
Item: elga-cdaep
-->

<rule context="hl7:ClinicalDocument/hl7:templateId[@root='1.2.40.0.34.11.3.0.1' or @root='1.2.40.0.34.11.3.0.2' or @root='1.2.40.0.34.11.3.0.3']" id="tmp-1eda5a09-9826-4b72-8c3c-50b7daa80e05"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.10002.html" test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">elga-cdaep: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert><extends rule="II"/><let name="theValue" value="@value"/><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.10002.html" test="@root='1.2.40.0.34.11.3.0.1' or @root='1.2.40.0.34.11.3.0.2' or @root='1.2.40.0.34.11.3.0.3'">elga-cdaep: @root MUSS den Wert '1.2.40.0.34.11.3.0.1|1.2.40.0.34.11.3.0.2|1.2.40.0.34.11.3.0.3' haben.</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.10002.html" test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">elga-cdaep: @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert></rule>
</pattern>